同時升級 Drupal 6 -> 7 及 CiviCRM 3 -> 4

Posted: 五, 02/23/2018 - 14:32

TL;DR

本次的更新經驗可能不適用在其他案例,擷錄重點如下:

  1. 更新 Drupal 6 到 7:根據 Upgrade process to Drupal 7 進行操作,且經測試 drupal sup 快速升級方法並不適用,更新後再參考 Migrating D6 Content Construction Kit (CCK) to D7 Fields 針對內容進行更新。
  2. 重新安裝 CiviCRM 4.6.36:(1) 嘗試過 CiviCRM 上找到的各篇更新教學方法,都失敗;(2) 索性重新安裝再嘗試匯入舊的資料。
  3. netiCRM(CiviCRM 中文化版本)並不適用於新安裝 CiviCRM,主要是用於升級使用,不過也許可以嘗試下載原始碼後再參考 CiviCRM 安裝教學步驟重新安裝(我沒試過就是了)。
  4. 本站(civicrm.tw)上的 neticrm-2.0.0.tgz 下載頁面無法正常呈現,所以無法從本站下載 netiCRM 的原始碼。

本文開始

最近在協助以前安裝過 CiviCRM 中文版的組織進行升級,當時是安裝在 Drupal 6,現在想改用 netiCRM for Drupal 7 的版本,並同時升級 Drupal。

主要會參考下列文章的步驟進行升級
https://civicrm.org/blog/spidersilk/best-practices-upgrading-drupal-6-7-...

目前還在嘗試進行升級,待升級成功後再回來補上升級的步驟

 
For a better experience using this site, please upgrade to a modern web browser.